4.0.0com.java.geeksample-spring-was" />

Missing Artifacts - версия, не поддерживающая Websphere Mq 7.0

255 просмотра

1 ответ

46 Репутация автора

Я новичок в Websphere Mq. Я пытаюсь построить соединение с помощью Spring Jms. В целях обучения я пробую несколько примеров.

Pom.xml http://maven.apache.org/xsd/maven-4.0.0.xsd "> 4.0.0

<groupId>com.java.geek</groupId>
<artifactId>sample-spring-was-jms</artifactId>
<version>1.0</version>
<packaging>jar</packaging>

<name>sample-spring-was-jms</name> 
<properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <version.spring>3.0.5.RELEASE</version.spring>
    <version.was>7.0.1.3</version.was>
</properties>

<dependencies>
    <dependency>
        <groupId>com.ibm.websphere</groupId>
        <artifactId>runtime</artifactId>
        <version>${version.was}</version>
    </dependency>

    <dependency>
        <groupId>com.ibm.mq</groupId>
        <artifactId>mq</artifactId>
        <version>${version.was}</version>
    </dependency>

    <dependency>
        <groupId>com.ibm.mq</groupId>
        <artifactId>mqjms</artifactId>
        <version>${version.was}</version>
    </dependency>

    <dependency>
        <groupId>com.ibm.mq</groupId>
        <artifactId>dhbcore</artifactId>
        <version>${version.was}</version>
    </dependency>

    <dependency>
        <groupId>com.ibm.ws.webservices</groupId>
        <artifactId>thinclient</artifactId>
        <version>${version.was}</version>
    </dependency>

    <dependency>
        <groupId>log4j</groupId>
        <artifactId>log4j</artifactId>
        <version>1.2.14</version>
    </dependency>

    <dependency>
        <groupId>org.apache.geronimo.specs</groupId>
        <artifactId>geronimo-jms_1.1_spec</artifactId>
        <version>1.1.1</version>
    </dependency>

    <dependency>
        <groupId>org.springframework</groupId>
        <artifactId>spring-core</artifactId>
        <version>${version.spring}</version>
    </dependency>

    <dependency>
        <groupId>org.springframework</groupId>
        <artifactId>spring-beans</artifactId>
        <version>${version.spring}</version>
    </dependency>

    <dependency>
        <groupId>org.springframework</groupId>
        <artifactId>spring-jms</artifactId>
        <version>${version.spring}</version>
    </dependency>

    <dependency>
        <groupId>com.ibm.sibc</groupId>
        <artifactId>sibc.jms</artifactId>
        <version>6.1</version>
    </dependency>

    <dependency>
        <groupId>com.ibm.sibc</groupId>
        <artifactId>sibc.jndi</artifactId>
        <version>6.1</version>
    </dependency>

    <dependency>
        <groupId>com.ibm.sibc</groupId>
        <artifactId>sibc.orb</artifactId>
        <version>6.1</version>
    </dependency>

</dependencies>

Я получаю сообщение об ошибке «Отсутствует артефакт», где бы я ни использовал $ {version.was}. У кого-нибудь есть идеи, какую версию он поддерживает? Или я делаю любую другую ошибку. Пожалуйста, предложите.

Автор: AIM Источник Размещён: 18.07.2016 07:21

Ответы (1)


0 плюса

46 Репутация автора

Решение

Версия 5.3.07 поддерживает mq и mqjms.

Для dhbcore, если в вашей системе установлен Websphere Mq, вы можете получить файл из их.

        <dependency>
            <groupId>com.ibm</groupId>
            <artifactId>dhbcore</artifactId>
            <version>5.3.07</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/dhbcore.jar</systemPath>
        </dependency> 
Автор: AIM Размещён: 03.08.2016 07:09
Вопросы из категории :
32x32